Please merge logrotate 3.7.8-6 (main) from Debian unstable (main)

Bug #554823 reported by Dave Walker on 2010-04-03
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
logrotate (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: logrotate

Debian has a new version to be merged.

This fixes (LP: #392532)

logrotate (3.7.8-6) unstable; urgency=low

  * New patch:
    + ucf-taboos.patch. Add common ucf files to default taboo list. Thanks
      to Noah Massey.

 -- Paul Martin <email address hidden> Sat, 17 Apr 2010 22:01:47 +0100

logrotate (3.7.8-5) unstable; urgency=low

  * New patch:
    + parser571033.patch: fix the config parser to not get confused when
      a wildcard produces no results. (Closes: 571033)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump debhelper version to 7 (dh_clean -k -> dh_prep).
  * Update standards version to 3.8.4 (no changes).

 -- Paul Martin <email address hidden> Sat, 20 Mar 2010 19:37:26 +0000

Related branches

Dave Walker (davewalker) on 2010-04-03
Changed in logrotate (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
assignee: nobody → Dave Walker (davewalker)
Benjamin Drung (bdrung) on 2010-04-14
Changed in logrotate (Ubuntu):
status: In Progress → New
assignee: Dave Walker (davewalker) → nobody
Benjamin Drung (bdrung) wrote :

3.7.8-6 was released. Please update the merge proposal and resubscribe ubuntu-sponsors.

Lorenzo De Liso (blackz) on 2010-06-02
summary: - Please merge logrotate 3.7.8-5 (main) from Debian unstable (main)
+ Please merge logrotate 3.7.8-6 (main) from Debian unstable (main)
description: updated
Steve Langasek (vorlon) wrote :

The most recent debdiff provided introduces a new change compared with the existing Ubuntu version - logrotate currently Suggests: mailx, the new debdiff drops this completely instead of demoting it from Recommends. Can you please explain why this change is correct?

(That change also doesn't match the changelog, which says "drop mailx to Recommends" - what you've done here is drop mailx *from* Recommends, which means something entirely different :)

Steve Langasek (vorlon) wrote :

Your merge debdiff also appears to discard the changes Dave proposed in <https://code.launchpad.net/~davewalker/ubuntu/lucid/logrotate/sync_3.7.8-5>, the merge proposal Benjamin was referring to (though strangely, it's not linked from this bug as a related branch?). Since this was originally Dave's request, I would appreciate it if you two could reconcile your merge requests before proceeding.

Dave Walker (davewalker) wrote :

I have no objections if my branch is discarded. As Lorenzo seems eager, if he wants to reconcile them that is fine by me. Otherwise, i'll bring them together.

Thanks for checking.

Lorenzo De Liso (blackz) wrote :
Lorenzo De Liso (blackz) wrote :

Dave,

Seems most of the changes you did are already in debian. Can you check if I'm wrong?

Thanks.

Dave Walker (davewalker) wrote :

@Lorenzo

I think you are indeed correct.. Feel free to totally discard my branch.

Thanks.

Benjamin Drung (bdrung) on 2010-07-28
Changed in logrotate (Ubuntu):
assignee: nobody → Benjamin Drung (bdrung)
tags: added: patch
Benjamin Drung (bdrung) on 2010-08-05
Changed in logrotate (Ubuntu):
assignee: Benjamin Drung (bdrung) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package logrotate - 3.7.8-6ubuntu1

---------------
logrotate (3.7.8-6ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #554823), remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.
 -- Lorenzo De Liso <email address hidden> Wed, 14 Jul 2010 19:34:54 +0200

Changed in logrotate (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers